/*
 * Copyright (c) 2007, 2008, 2009, 2010, 2011, 2012 David Berkman
 * 
 * This file is part of the SmallMind Code Project.
 * 
 * The SmallMind Code Project is free software, you can redistribute
 * it and/or modify it under the terms of GNU Affero General Public
 * License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 * 
 * The SmallMind Code Project is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the the GNU Affero General Public
 * License, along with The SmallMind Code Project. If not, see
 * <http://www.gnu.org/licenses/>.
 * 
 * Additional permission under the GNU Affero GPL version 3 section 7
 * ------------------------------------------------------------------
 * If you modify this Program, or any covered work, by linking or
 * combining it with other code, such other code is not for that reason
 * alone subject to any of the requirements of the GNU Affero GPL
 * version 3.
 */
package org.smallmind.persistence.sql.pool.spring;

public class DatabaseConnection {

  private String jdbcUrl;
  private String user;
  private String password;

  public DatabaseConnection () {

  }

  public DatabaseConnection (String jdbcUrl, String user, String password) {

    this.jdbcUrl = jdbcUrl;
    this.user = user;
    this.password = password;
  }

  public String getJdbcUrl () {

    return jdbcUrl;
  }

  public void setJdbcUrl (String jdbcUrl) {

    this.jdbcUrl = jdbcUrl;
  }

  public String getUser () {

    return user;
  }

  public void setUser (String user) {

    this.user = user;
  }

  public String getPassword () {

    return password;
  }

  public void setPassword (String password) {

    this.password = password;
  }

  public boolean isComplete () {

    return (jdbcUrl != null) && (user != null) && (password != null);
  }
}
